org.apache.hadoop.yarn.api.protocolrecords

## Class GetNodesToAttributesRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class GetNodesToAttributesRequest
      extends Object

  The request from clients to get nodes to attributes mapping in the cluster from the `ResourceManager`.

  See Also:
    `(GetNodesToAttributesRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNodesToAttributesRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Set<String>` | `getHostNames()` Get hostnames for which mapping is required.
    `static GetNodesToAttributesRequest` | `newInstance(Set<String> hostNames)`
    `abstract void` | `setHostNames(Set<String> hostnames)` Set hostnames for which mapping is required.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNodesToAttributesRequest

          public GetNodesToAttributesRequest()

  - ### Method Detail

    - #### newInstance

          public static GetNodesToAttributesRequest newInstance(Set<String> hostNames)

    - #### setHostNames

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract void setHostNames(Set<String> hostnames)

      Set hostnames for which mapping is required.
      Parameters:
        `hostnames` -

    - #### getHostNames

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract Set<String> getHostNames()

      Get hostnames for which mapping is required.
      Returns:
        Set of hostnames.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.